Subject: bug#17837: 24.4.50; Search very slow

From: Stefan Kangas <[email-masked]>
Date: Sun, 19 Sep 2021 15:14:09 -0700

Richard Stallman <[email-masked]> writes:

> Visit stallman.org/archives/2014-mar-jun.html and type `C-s
> interview'.  It takes a long time.  Repeat with C-s a few times; each
> time, it takes a long time.
>
> Disable Font Lock mode, and it becomes nice and fast.
>
> I get the impression that searching fontifies all the text
> it moves through.  Is that really necessary?  It is a big pain in the neck.

[This was reported in 2014.]

I've tried this:

0. emacs -Q
1. M-x eww RET stallman.org/archives/2014-mar-jun.html RET
2. C-s interview

And it's fast, pretty much instant, to type all that and go through the
matches.  Did Emacs get faster or is my machine just faster than what
you were using at the time of reporting this bug?  Or am I using the
wrong recipe to reproduce the issue?